//
// Syd: rock-solid application kernel
// src/syd-chk.rs: Exit with success if the process is running under syd
//
// Copyright (c) 2024 Ali Polatel <alip@chesswob.org>
//
// SPDX-License-Identifier: GPL-3.0

use std::process::ExitCode;

use syd::err::SydResult;

fn main() -> SydResult<ExitCode> {
    syd::set_sigpipe_dfl()?;

    Ok(ExitCode::from(if syd::syd_enabled() { 0 } else { 1 }))
}
